# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/qcom,wcn3990-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm WCN3990/WCN3991/WCN3998 Bluetooth

maintainers:
  - Balakrishna Godavarthi <quic_bgodavar@quicinc.com>
  - Rocky Liao <quic_rjliao@quicinc.com>

properties:
  compatible:
    enum:
      - qcom,wcn3990-bt
      - qcom,wcn3991-bt
      - qcom,wcn3998-bt

  clocks:
    items:
      - description: External low-power 32.768 kHz clock input

  vddch0-supply:
    description: VDD_CH0 supply regulator handle

  vddch1-supply:
    description: VDD_CH1 supply regulator handle

  vddio-supply:
    description: VDD_IO supply regulator handle

  vddrf-supply:
    description: VDD_RF supply regulator handle

  vddxo-supply:
    description: VDD_XO supply regulator handle

required:
  - compatible
  - vddch0-supply
  - vddio-supply
  - vddrf-supply
  - vddxo-supply

allOf:
  - $ref: bluetooth-controller.yaml#
  - $ref: qcom,bluetooth-common.yaml
  - $ref: /schemas/serial/serial-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    serial {
        bluetooth {
            compatible = "qcom,wcn3990-bt";
            firmware-name = "crnv21.bin";
            max-speed = <3200000>;
            vddio-supply = <&vreg_s4a_1p8>;
            vddch0-supply = <&vreg_l25a_3p3>;
            vddch1-supply = <&vreg_l23a_3p3>;
            vddrf-supply = <&vreg_l17a_1p3>;
            vddxo-supply = <&vreg_l7a_1p8>;
        };
    };
